package com.diagbot.client.hystrix;


import com.diagbot.client.AuthServiceClient;
import com.diagbot.dto.AnalyzeDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.JWT;
import com.diagbot.vo.AnalyzeVO;
import com.diagbot.vo.DataImportVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.security.oauth2.common.OAuth2AccessToken;
import org.springframework.stereotype.Component;

/**
 * @Description: 请求认证授权服务器客户端（请求失败熔断）
 * @author: gaodm
 * @time: 2018/8/2 13:37
 */
@Component
@Slf4j
public class AuthServiceHystrix implements AuthServiceClient {
    @Override
    public JWT getToken(String authorization, String type, String username, String password) {
        log.error("【hystrix】调用{}异常", "getToken");
        return null;
    }

    @Override
    public JWT refreshToken(String authorization, String type, String refreshToken) {
        log.error("【hystrix】调用{}异常", "refreshToken");
        return null;
    }

    @Override
    public OAuth2AccessToken checkToken(String authorization, String token){
        log.error("【hystrix】调用{}异常", "checkToken");
        return null;
    }

    @Override
    public RespDTO<AnalyzeDTO> analyze_rpc(AnalyzeVO analyzeVO) {
        log.error("【hystrix】调用{}异常", "analyze_rpc");
        return null;
    }

    @Override
    public RespDTO<Boolean> dataimport(DataImportVO dataImportVO) {
        log.error("【hystrix】调用{}异常", "dataimport");
        return null;
    }
}
